> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group by name

> Response will contain the requested group if the caller is authorized to view it



## OpenAPI

````yaml get /org/{org}/group/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/group/{name}:
    get:
      tags:
        - group
      summary: Get a group by name
      description: >-
        Response will contain the requested group if the caller is authorized to
        view it
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/group'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    group:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 64
        kind:
          type: string
          readOnly: true
        version:
          type: integer
          readOnly: true
        description:
          type: string
          maxLength: 250
        tags:
          type: object
        created:
          type: string
          format: date-time
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        memberLinks:
          type: array
          items:
            type: string
        memberQuery:
          $ref: '#/components/schemas/query'
        identityMatcher:
          type: object
          properties:
            expression:
              type: string
            language:
              type: string
              enum:
                - jmespath
                - javascript
              default: jmespath
          additionalProperties: false
        origin:
          type: string
          enum:
            - synthetic
            - default
            - builtin
          default: default
          readOnly: true
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    query:
      type: object
      properties:
        kind:
          type: string
        context:
          type: object
          readOnly: true
        spec:
          type: object
          properties:
            match:
              type: string
              enum:
                - all
                - any
                - none
              default: all
            terms:
              type: array
              items:
                type: object
                properties:
                  op:
                    type: string
                    enum:
                      - '='
                      - '>'
                      - '>='
                      - <
                      - <=
                      - '!='
                      - '~'
                      - '=~'
                      - exists
                      - '!exists'
                      - contains
                    default: '='
                  property:
                    type: string
                  rel:
                    type: string
                  tag:
                    type: string
                  value:
                    oneOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: string
                        format: date-time
                additionalProperties: false
            sort:
              type: object
              properties:
                by:
                  type: string
                order:
                  type: string
                  enum:
                    - asc
                    - desc
                  default: asc
              additionalProperties: false
          additionalProperties: false
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````